Bug 437222 - Submenus of hamburger menu of notifications open in wrong position and have window decoration on Wayland
Summary: Submenus of hamburger menu of notifications open in wrong position and have w...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-16 23:47 UTC by Patrick Silva
Modified: 2021-05-18 15:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-05-16 23:47:58 UTC
SUMMARY
similar to bug 417378

STEPS TO REPRODUCE
1. open any app on Wayland
2. take a screenshot by pressing shift+printscreen
3. click on hamburger button of the notification and hover over
any submenu below "Move to Trash" ("Open with" submenu is not affected)

OBSERVED RESULT
submenu opens in the upper left corner and has window decoration

EXPECTED RESULT
all submenus should open in correct position and without window decoration

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Bug Janitor Service 2021-05-18 10:17:13 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/866
Comment 2 David Redondo 2021-05-18 11:43:29 UTC
Git commit 505471910ff06377d7ab7f052ac53cdb38cec94b by David Redondo.
Committed on 18/05/2021 at 10:15.
Pushed by davidre into branch 'master'.

applets/notifcations: Set parentWidget for file item actions

M  +1    -0    applets/notifications/filemenu.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/505471910ff06377d7ab7f052ac53cdb38cec94b
Comment 3 David Redondo 2021-05-18 11:45:26 UTC
Git commit 453bbad9cf688e641c9311c56b9a4ed977a8ea74 by David Redondo.
Committed on 18/05/2021 at 11:45.
Pushed by davidre into branch 'Plasma/5.22'.

applets/notifcations: Set parentWidget for file item actions


(cherry picked from commit 505471910ff06377d7ab7f052ac53cdb38cec94b)

M  +1    -0    applets/notifications/filemenu.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/453bbad9cf688e641c9311c56b9a4ed977a8ea74